// file: $USFS/class/polygon/v1.0/polygon_set_0.cc
//

// system include file
//
#include <string.h>

// isip include files
//
#include "polygon.h"
#include "polygon_constants.h"

// method: set_trans_cc
//
// arguments:
//  char_1* transcription: (input) name of the transcription
//
// return:
//  a logical value indicating status
//
// this method sets the transcription name
//
logical_1 Polygon::set_trans_cc(char_1* transcription_a) {

  // set the transcription
  //
  transcription_d = new char_1[strlen((char*)transcription_a) + 1];
  strcpy((char*)transcription_d, (char*)transcription_a);

  // exit gracefully
  //
  return ISIP_TRUE;
}
